/*************************************************************************
*									 *
*	 YAP Prolog 							 *
*									 *
*	Yap Prolog was developed at NCCUP - Universidade do Porto	 *
*									 *
* Copyright L.Damas, V.S.Costa and Universidade do Porto 1985-1997	 *
*									 *
**************************************************************************
*									 *
* File:		terms.yap						 *
* Last rev:	5/12/99							 *
* mods:									 *
* comments:	Term manipulation operations				 *
*									 *
*************************************************************************/

:- module(terms, [
	term_hash/2,
	term_hash/3,
	term_variables/2
    ]).

:- unhide('$set_pred_module').

:- '$set_pred_module'(term_hash(_,_), terms),
	'$set_pred_module'(term_hash(_,_,_), terms),
	'$set_pred_module'(term_variables(_,_), terms).

:- hide('$set_pred_module').


